import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
public class ShowRandomArt extends JFrame implements ActionListener {
    private JButton ny = new JButton("Nya figurer");
    private JButton sluta = new JButton("Avsluta");
    private RandomArt art = new RandomArt();
    public ShowRandomArt() {
        JPanel knappar = new JPanel();
        knappar.setLayout(new GridLayout(1, 2));
        knappar.add(ny);
        ny.addActionListener(this);
        sluta.addActionListener(this);
        knappar.add(sluta);
        setLayout(new BorderLayout());
        add("Center", art);
        add("South", knappar);
        setSize(300, 400);
        setResizable(false); //gr att fnstrets storlek inte kan ndras
        setVisible(true);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
    }//konstruktor

    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == ny) 
            art.repaint();
        else if (e.getSource() == sluta)
            System.exit(0);
    }//actionPerformed
    public static void main(String[] args) {
        JFrame tsf = new ShowRandomArt();
    }//main
}//ShowRandomArt
